Retrieves all the job work instruction list.

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "d24f357b-0d7f-4768-9799-2eabb60e42c4",
  "jobs_id": "360f2925-34fd-4cb6-b987-74b96aad3366",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "ffa3f155-1fad-4855-b03d-b0098d47fdca",
    "_parent_id": "74231fa5-5712-45c5-966b-ae835dfbb15e",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "8cb7f6fa-48d2-4319-81db-d4fc61eddc5a",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "ccffc8be-8356-48ef-b0bc-b2f3defbac2e",
      "_parent_id": "52f6865a-74a0-47f2-9f95-98322f27f9ea",
      "root_parent_id": "71f82968-6c41-4ffa-a93c-b7d6237bd8d5",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "8dfaea31-cf26-464d-807e-6974298c6535",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "45732212-c36f-4110-9e4c-257653794d79",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "fb172866-777e-4785-8ff0-f0e2f229971a",
        "_parent_code": "sample string 6",
        "sales_organization_id": "e3b32f66-444c-4c7c-b751-deb5f83058b3",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "f15abc22-4c2b-4bd9-963b-79012cae8a47",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "72785589-7b47-4a21-95ca-6880747a1d3d",
          "db_currency_id": "ac628079-b2d1-4e2f-ba1b-4b6171ad3e2f",
          "db_language_id": "220306f1-5947-4f7c-b47f-2aaca3755faa",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-17T21:09:10.3824587+00:00"
        },
        "modified_dateutc": "2026-10-17T21:09:10.3824587+00:00"
      },
      "equipment_model_id": "448b79de-1bd5-44a6-bea8-a0214d39a29e",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "43486055-78f7-4608-9255-32fd30a67dd3",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "2bcd0c8c-2a2c-48aa-aa29-08df61e2a64f",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "e1f67bbe-6a47-4160-80e9-cf4d3483f266",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "68c8b7c1-6a92-4f18-9794-64e96586c192",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "f15abc22-4c2b-4bd9-963b-79012cae8a47",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "72785589-7b47-4a21-95ca-6880747a1d3d",
            "db_currency_id": "ac628079-b2d1-4e2f-ba1b-4b6171ad3e2f",
            "db_language_id": "220306f1-5947-4f7c-b47f-2aaca3755faa",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-17T21:09:10.3824587+00:00"
          },
          "modified_dateutc": "2026-10-17T21:09:10.3824587+00:00"
        },
        "equipment_family_id": "cb5a4d78-7d7f-485a-96e4-76e6d0a260e5",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "45732212-c36f-4110-9e4c-257653794d79",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "fb172866-777e-4785-8ff0-f0e2f229971a",
          "_parent_code": "sample string 6",
          "sales_organization_id": "e3b32f66-444c-4c7c-b751-deb5f83058b3",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "f15abc22-4c2b-4bd9-963b-79012cae8a47",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "72785589-7b47-4a21-95ca-6880747a1d3d",
            "db_currency_id": "ac628079-b2d1-4e2f-ba1b-4b6171ad3e2f",
            "db_language_id": "220306f1-5947-4f7c-b47f-2aaca3755faa",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-17T21:09:10.3824587+00:00"
          },
          "modified_dateutc": "2026-10-17T21:09:10.3824587+00:00"
        },
        "date_in_production_since": "2026-10-17T21:09:10.3824587+00:00",
        "date_out_of_production_since": "2026-10-17T21:09:10.3824587+00:00",
        "date_end_support": "2026-10-17T21:09:10.3824587+00:00",
        "sales_organization_id": "dde04fe9-9f12-4e92-a761-08b4d776dea6",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "f15abc22-4c2b-4bd9-963b-79012cae8a47",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "72785589-7b47-4a21-95ca-6880747a1d3d",
          "db_currency_id": "ac628079-b2d1-4e2f-ba1b-4b6171ad3e2f",
          "db_language_id": "220306f1-5947-4f7c-b47f-2aaca3755faa",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-17T21:09:10.3824587+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-10-17T21:09:10.3930176+00:00"
      },
      "project_status_id": "dc69023d-00ac-4002-a178-8027b2808427",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "7a4b142e-34fc-48db-bf11-866173d669f6",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "f8aa4725-c8bc-49b6-8755-c08482c897fc",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "f15abc22-4c2b-4bd9-963b-79012cae8a47",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "72785589-7b47-4a21-95ca-6880747a1d3d",
          "db_currency_id": "ac628079-b2d1-4e2f-ba1b-4b6171ad3e2f",
          "db_language_id": "220306f1-5947-4f7c-b47f-2aaca3755faa",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-17T21:09:10.3824587+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-10-17T21:09:10.3930176+00:00"
      },
      "company_id": "32b317ac-c59d-4497-86c1-7c7e9716b88a",
      "company_code": "sample string 12",
      "db_address_id": "467e1e69-93fb-4360-b091-7bf4e19370d8",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "c79a0c4e-b0e4-426a-bb05-c48c3e3c7269",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "8a90a24f-ccac-4244-b0ca-65f0714be1c6",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-10-17T21:09:10.3930176+00:00",
      "date_create": "2026-10-17T21:09:10.3930176+00:00",
      "date_update": "2026-10-17T21:09:10.3930176+00:00",
      "updated_by_user_id": "9dc5bbb5-42d4-4b1c-84ae-73eeba556b6e",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-10-17T21:09:10.3930176+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-10-17T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-10-17T21:09:10.3930176+00:00",
      "date_last_job": "2026-10-17T21:09:10.3930176+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-10-17T21:09:10.3930176+00:00",
      "modified_dateutc": "2026-10-17T21:09:10.3930176+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "ce207548-4943-44df-be3f-524e0091e068",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "d8bb3182-464a-438d-913e-e159b40b647a",
      "name": "sample string 2",
      "sales_organization_id": "4a58d4aa-6949-42b8-8791-ad713e840262",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-10-17T21:09:10.3930176+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "994ac24e-0e54-4df5-9bcc-e435de7f53bc",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "fcdce149-77a0-43b1-ab7f-a95ab4185730",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "6560f6b7-4b3b-4045-8839-702111088442",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "f15abc22-4c2b-4bd9-963b-79012cae8a47",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "72785589-7b47-4a21-95ca-6880747a1d3d",
        "db_currency_id": "ac628079-b2d1-4e2f-ba1b-4b6171ad3e2f",
        "db_language_id": "220306f1-5947-4f7c-b47f-2aaca3755faa",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-17T21:09:10.3824587+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-10-17T21:09:10.3930176+00:00"
    },
    "job_status_id": "e2d13b3c-3f81-4b61-beb9-356ac7184116",
    "job_status_code": "sample string 11",
    "db_address_id": "d80c6ba3-10da-45d3-a335-6ceb3fb4354c",
    "contact_id": "ebaf97b0-4c8d-4a75-b21c-91fc2af00750",
    "requested_by_company_id": "f69eb585-9957-4848-be12-eac126060ab5",
    "requested_by_contact_id": "7e3524d8-5ad6-4efe-8728-044435da37ec",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-10-17T21:09:10.3930176+00:00",
    "due_date": "2026-10-17T21:09:10.3930176+00:00",
    "date_create": "2026-10-17T21:09:10.3930176+00:00",
    "date_update": "2026-10-17T21:09:10.3930176+00:00",
    "date_closed": "2026-10-17T21:09:10.3930176+00:00",
    "suggested_user_id": "a6ce4e24-121c-41de-a8ac-98bdcd066264",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "2ddd0070-3063-4b43-b9df-009456fb82f7",
      "db_language_id": "ec553cc9-768d-4886-ab20-44081233f4ec",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-10-17T21:09:10.3930176+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "43846ef3-03f2-4b2b-86dd-96253fa45ad8",
      "sales_organization": {
        "id": "f15abc22-4c2b-4bd9-963b-79012cae8a47",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "72785589-7b47-4a21-95ca-6880747a1d3d",
        "db_currency_id": "ac628079-b2d1-4e2f-ba1b-4b6171ad3e2f",
        "db_language_id": "220306f1-5947-4f7c-b47f-2aaca3755faa",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-17T21:09:10.3824587+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "4cf87118-c1f7-4976-949b-58154f8f2e0b",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "124fe5fb-a657-4996-ad13-585c8671224d",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-10-17T21:09:10.3930176+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "4940354c-9ff6-4eae-afc3-6556e2a7b9d5"
    },
    "suggested_date_start": "2026-10-17T21:09:10.4122473+00:00",
    "skill_id": "151c35ee-6c78-4f16-9324-14f66f73203f",
    "skill_code": "sample string 32",
    "skill": {
      "id": "e8f121fe-3b1e-44e4-8617-3c4b1e17ead8",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "21926f58-5e87-4609-9fe1-e215787b1568",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "f15abc22-4c2b-4bd9-963b-79012cae8a47",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "72785589-7b47-4a21-95ca-6880747a1d3d",
        "db_currency_id": "ac628079-b2d1-4e2f-ba1b-4b6171ad3e2f",
        "db_language_id": "220306f1-5947-4f7c-b47f-2aaca3755faa",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-17T21:09:10.3824587+00:00"
      },
      "modified_dateutc": "2026-10-17T21:09:10.4122473+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "5707167b-909d-4fb2-b2a3-10a1b6978208",
    "date_reported_by_company": "2026-10-17T21:09:10.4122473+00:00",
    "id2": 36,
    "company_id": "1ff4b44d-27d7-4fa5-b121-2c29ee9a552c",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "b6b05c05-606a-452b-a80b-836e46c5fc16",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-10-17T21:09:10.4122473+00:00"
  },
  "work_instruction_details_id": "5747ad09-0acd-436b-a221-b8f46a759f33",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "432f0f24-d7ea-4941-94b3-f408045b3007",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "3e3d29e6-4eab-45d0-b47a-d46d45eb2b11",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-10-17T21:09:10.4122473+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "30d36bae-d2a4-4ae8-a6dc-b03705136e98",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-10-17T21:09:10.4122473+00:00"
}